NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
NeuralEngine::MachineLearning::IGraph< T, U > Class Template Referenceabstract
Collaboration diagram for NeuralEngine::MachineLearning::IGraph< T, U >:
[legend]

## Public Member Functions
| IGraph (std::vector< T * > &factorNodes)
| Constructor. More...
| ~IGraph ()
| Destructor. More...
virtual void | ComputeMarginal (int numIter, double tolerance=1e-6f)=0

## Protected Attributes
std::vector< T * > | factorList
std::vector< U * > | variableList

## Private Member Functions
template<class Archive >
void | serialize (Archive &ar, unsigned int version)

## Friends
class | boost::serialization::access

## Detailed Description

template<class T, class U>
class NeuralEngine::MachineLearning::IGraph< T, U >

Definition at line 21 of file FgIGraph.h.

## Constructor & Destructor Documentation

## ◆ IGraph()

template<class T , class U >

NeuralEngine::MachineLearning::IGraph< T, U >::IGraph | ( | std::vector< T * > & | factorNodes | ) |
| inline

Constructor.

Admin, 8/16/2017.

Parameters

  factorNodes | [in,out] If non-null, the factor nodes.

Definition at line 32 of file FgIGraph.h.

## ◆ ~IGraph()

template<class T , class U >

NeuralEngine::MachineLearning::IGraph< T, U >::~IGraph | ( |  | ) |
| inline

Destructor.

Admin, 8/16/2017.

Definition at line 39 of file FgIGraph.h.

## Member Function Documentation

## ◆ serialize()

template<class T , class U >
template<class Archive >

void NeuralEngine::MachineLearning::IGraph< T, U >::serialize | ( | Archive & | ar,
|  | unsigned int | version
| ) |  |
| inline private

Definition at line 51 of file FgIGraph.h.

## Friends And Related Function Documentation

## ◆ boost::serialization::access

template<class T , class U >

friend class boost::serialization::access
| friend

Definition at line 48 of file FgIGraph.h.

## Member Data Documentation

## ◆ factorList

template<class T , class U >

std::vector<T*> NeuralEngine::MachineLearning::IGraph< T, U >::factorList
| protected

Definition at line 44 of file FgIGraph.h.

## ◆ variableList

template<class T , class U >

std::vector<U*> NeuralEngine::MachineLearning::IGraph< T, U >::variableList
| protected

Definition at line 45 of file FgIGraph.h.

The documentation for this class was generated from the following file:

- FgIGraph.h